phing-tasks-ext-creole

# Class: SQLExecTransaction Source Location: /tasks/ext/creole/CreoleSQLExecTask.php
### Class Overview
"Inner" class that contains the definition of a new transaction element. | ### Methods __construct addText runTransaction setSrc
### Class Details [line 548] "Inner" class that contains the definition of a new transaction element. Transactions allow several files or blocks of statements to be executed using the same JDBC connection and commit operation in between. [ Top ] ### Class Methods ### constructor __construct [line 554]
`SQLExecTransaction __construct( $parent)`
#### Parameters:
| $parent |
[ Top ] ### method addText [line 565]
`void addText( $sql)`
#### Tags:
access: | public
#### Parameters:
| $sql |
[ Top ] ### method runTransaction [line 573]
`void runTransaction( [ $out = null])`
#### Tags:
throws: | IOException, SQLException
access: | public
#### Parameters:
| $out |
[ Top ] ### method setSrc [line 560]
`void setSrc( $src)`
#### Tags:
access: | public
#### Parameters:
PhingFile | $src |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:40 +0200 by phpDocumentor 1.4.3